package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussDict;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Mapper
public interface TbPlussDictMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussDict record);

    int insertSelective(TbPlussDict record);

    TbPlussDict selectByPrimaryKey(Integer id);
    TbPlussDict selectByCode(@Param("code") String code);

    List<TbPlussDict> selectByPId(@Param("id")Integer id);

    int updateByPrimaryKeySelective(TbPlussDict record);

    int updateByPrimaryKey(TbPlussDict record);
}